
import tkinter as tk
from tkinter import ttk

def create_exit_tab(notebook, root, pwm1, pwm2):
    frame = ttk.Frame(notebook)
    notebook.add(frame, text="EXIT")

    ttk.Label(frame, text="Exit the GUI", font=("Arial", 20)).pack(pady=20)
    
    def exit_program():
        pwm1.stop()
        pwm2.stop()
        root.quit()
        root.destroy()

    exit_button = ttk.Button(frame, text="Exit Application", command=exit_program, style="TButton")
    exit_button.pack(pady=20)

    style = ttk.Style()
    style.configure("TButton", font=("Arial", 18), padding=10)
